## kclock 23.08.0

=== debian/changelog ===
kclock (23.08.0-1) unstable; urgency=medium

  * Sponsored upload for Yifei Zhan <yifei@zhan.science>
  * Initial release. (Closes: #1026985)

 -- Russell Coker <russell@coker.com.au>  Sat, 09 Dec 2023 23:47:56 +1100
