=== debian/control ===
Source: kclock
Homepage: https://apps.kde.org/kclock/
Maintainer: Yifei Zhan <debian@zhan.science>
Section: kde
Priority: optional
Standards-Version: 4.6.2
Build-Depends: cmake (>= 3.16~),
               dh-sequence-kf5,
               debhelper-compat (= 13),
               libqt5svg5-dev,
               libkf5notifications-dev,
               kirigami-addons-dev,
               libkf5iconthemes-dev,
               kirigami2-dev,
               qtquickcontrols2-5-dev,
               libkf5i18n-dev,
               libkf5coreaddons-dev,
               libkf5plasma-dev,
               qtmultimedia5-dev,
               extra-cmake-modules (>= 5.71.0~),
               libkf5config-dev (>= 5.71.0~),
               qtdeclarative5-dev,
               gettext
               

Package: kclock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Clock for KDE Plasma Mobile
 A universal clock application for desktop and mobile. It contains alarm, 
 timer, stopwatch and timezone functionalities. Alarms and timers are able to
 wake the device from suspend on Plasma.
