=== debian/control ===
Source: kclock
Homepage: https://apps.kde.org/en/kclock
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Yifei Zhan <debian@zhan.science>
Section: kde
Priority: optional
Standards-Version: 4.6.1
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.71.0~),
               gettext,
               kirigami-addons-dev,
               kirigami2-dev,
               libkf5config-dev (>= 5.71.0~),
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5notifications-dev,
               libkf5plasma-dev,
               libqt5svg5-dev,
               qtdeclarative5-dev,
               qtmultimedia5-dev,
               qtquickcontrols2-5-dev,
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kclock
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kclock
Rules-Requires-Root: no

Package: kclock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Clock for KDE Plasma Mobile
 A universal clock application for desktop and mobile. It contains alarm, 
 timer, stopwatch and timezone functionalities. Alarms and timers are able to
 wake the device from suspend on Plasma.
