=== debian/watch ===
version=4
https://download.kde.org/stable/plasma-mobile/([\d.]+)/kclock-([\d.]+)\.tar\.xz
