## kclock 24.12.0

=== debian/changelog ===
kclock (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:09:04 +0000

kclock (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:05:40 +0000

kclock (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)
  * New build depend on libkf6crash-dev

 -- Rik Mills <rikmills@kde.org>  Fri, 22 Nov 2024 14:51:55 +0000

kclock (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 14:59:43 +0000

kclock (24.08.1-1) unstable; urgency=medium

  * Update to 24.08.1 (last upload was actually 23.08)
  * Sponsored upload for Yifei Zhan <debian@zhan.science>

 -- Russell Coker <russell@coker.com.au>  Tue, 17 Sep 2024 22:42:42 +1000

kclock (24.08.0-1) unstable; urgency=medium

  * Update to 24.08.0
  * Sponsored upload for Yifei Zhan <yifei@zhan.science>

 -- Russell Coker <russell@coker.com.au>  Sat, 14 Sep 2024 13:19:46 +1000
