## kclock 24.12.1

=== debian/changelog ===
kclock (24.12.1-1) unstable; urgency=medium

  * Update to 24.12.1

 -- Yifei Zhan <debian@zhan.science>  Fri, 24 Jan 2025 01:10:51 -0500
