## kclock 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,15 +9,17 @@
 set(CMAKE_CXX_STANDARD 17)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "23")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "5")
+set(RELEASE_SERVICE_VERSION_MAJOR "24")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kclock VERSION ${RELEASE_SERVICE_VERSION})
 
-set(KF_MIN_VERSION "5.101.0")
-set(QT_MIN_VERSION "5.15.2")
+option(BUILD_PLASMOID "Build Plasmoid" ON)
+
+set(KF_MIN_VERSION "6.3.0")
+set(QT_MIN_VERSION "6.5.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 
@@ -35,13 +37,14 @@
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDEClangFormat)
 include(KDEGitCommitHooks)
+include(ECMDeprecationSettings)
 
 ecm_setup_version(${PROJECT_VERSION}
     VARIABLE_PREFIX KCLOCK
     VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
 )
 
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS
+find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
     Core
     Gui
     Quick
@@ -50,22 +53,29 @@
     QuickControls2
     Multimedia
     DBus
+    Widgets
 )
 
-find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
     Config
     I18n
     CoreAddons
-    Plasma
-    Kirigami2
+    Kirigami
     Notifications
     DBusAddons
+    Crash
+    StatusNotifierItem
 )
-find_package(KF${QT_MAJOR_VERSION}KirigamiAddons 0.6 REQUIRED)
+if (BUILD_PLASMOID)
+    find_package(Plasma REQUIRED)
+endif()
 
-find_package(Qt${QT_MAJOR_VERSION}QuickCompiler)
+find_package(KF6KirigamiAddons 0.6 REQUIRED)
 
 ki18n_install(po)
+ecm_set_disabled_deprecation_versions(QT 6.8.0
+    KF 6.7
+)
 
 add_subdirectory(src)
 
@@ -77,7 +87,7 @@
 
 ecm_install_configured_files(INPUT org.kde.kclockd.service.in DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR} @ONLY)
 
-feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 # add clang-format target for all our real source files
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.hpp)
