## kclock 25.04.0

=== debian/changelog ===
kclock (25.04.0-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 18:59:13 +0200

kclock (25.03.90-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Switch to team maintenance by the Debian Qt/KDE Maintainers team.
  * Update build-deps and deps with the info from cmake.
  * Use dh-sequence-qmldeps to correctly inject runtime QML
    dependencies.
  * Add Vcs-* URLs to control file.
  * Override lintian warning for LGPL2.1 text using the old FSF address.
  * Drop unnecessary dh_auto_configure override.
  * Add copyright for packaging files.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 04 Apr 2025 00:33:39 +0200
