=== src/plasmoid/CMakeLists.txt ===
#
# Copyright 2020 Han Young <hanyoung@protonmail.com>
# Copyright 2020 Devin Lin <espidev@gmail.com>
#
# SPDX-License-Identifier: GPL-2.0-or-later
#

add_subdirectory(KClock_1x2)
#add_subdirectory(KClock_KWeather_3x3)
