=== debian/changelog ===
kclock (25.04.3-2) unstable; urgency=medium

  * Team upload.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Update the build dependencies according to the upstream build system:
    - remove Qt 5 ones: kirigami2-dev, qtquickcontrols2-5-dev
    - remove transitional ones: libqt6svg6-dev (non-transitional already there)
    - remove not used: libkf6iconthemes-dev
    - remove not used QML modules: qml6-module-org-kde-breeze,
      qml6-module-org-kde-kirigami,
      qml6-module-org-kde-kirigamiaddons-components,
      qml6-module-org-kde-kirigamiaddons-datetime,
      qml6-module-org-kde-kirigamiaddons-delegates, and
      qml6-module-org-kde-quickcharts,

 -- Pino Toscano <pino@debian.org>  Sun, 05 Oct 2025 09:22:15 +0200

kclock (25.04.3-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (25.04.3).
    - Add X-Plasma-API-Minimum-Version to applet metadata. (kde#505837)
    - Use KPackageStructure instead of ServiceTypes in metadata.json.
    (#505837)
    - Timers: Fix preset creation and usage (25.04). (kde#505636)
    - Fix alarm form overflowing on larger screens. (kde#505695)
  * Backport upstream commit:
    - Correctly honor configured sound theme for default alarm sound.
    [8c656dc4]

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 23 Jul 2025 18:01:27 +0200
