=== debian/control ===
Source: kclock
Section: utils
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-kjobwidgets-dev,
               kf6-knotifications-dev,
               kf6-kstatusnotifieritem-dev,
               libplasma-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-svg-dev,
               wayland-protocols
Standards-Version: 4.6.2
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kclock.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kclock
Maintainer: Neon CI <neon@kde.org>

Package: kclock
Architecture: any
Depends: libplasma6,
         qml6-module-org-kde-kirigamiaddons,
         qml6-module-qtquick-shapes,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Clock app for Plasma Mobile
 A plasma mobile clock
