=== debian/watch ===
version=4
https://github.com/KDE/kclock/tags .*/v?(\d.*)@ARCHIVE_EXT@
