=== src/plasmoid/CMakeLists.txt ===
--- 
+++ 
@@ -5,5 +5,4 @@
 # SPDX-License-Identifier: GPL-2.0-or-later
 #
 
-add_subdirectory(KClock_1x2)
-#add_subdirectory(KClock_KWeather_3x3)
+add_subdirectory(KClock)
