=== debian/control ===
Source: kclock
Homepage: https://apps.kde.org/kclock/
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Yifei Zhan <debian@zhan.science>
Section: kde
Priority: optional
Standards-Version: 4.6.2
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.71.0~),
               gettext,
               kirigami-addons-dev,
               kirigami2-dev,
               libkf6config-dev (>= 5.71.0~),
               libkf6coreaddons-dev,
               libkf6crash-dev,
               libkf6dbusaddons-dev,
               libkf6i18n-dev,
               libkf6iconthemes-dev,
               libkf6jobwidgets-dev,
               libkf6kio-dev,
               libkf6notifications-dev,
               libkf6statusnotifieritem-dev,
               libkf6svg-dev,
               libkirigami-dev,
               libplasma-dev,
               libqt6svg6-dev,
               qml6-module-org-kde-breeze,
               qml6-module-org-kde-kirigami,
               qml6-module-org-kde-kirigamiaddons-components,
               qml6-module-org-kde-kirigamiaddons-datetime,
               qml6-module-org-kde-kirigamiaddons-delegates,
               qml6-module-org-kde-quickcharts,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qtquickcontrols2-5-dev,
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kclock
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kclock

Package: kclock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Clock for KDE Plasma Mobile
 A universal clock application for desktop and mobile. It contains alarm, 
 timer, stopwatch and timezone functionalities. Alarms and timers are able to
 wake the device from suspend on Plasma.
