## kclock 25.08.2+p24.04+vstable+git20251020.0107

=== debian/changelog ===
kclock (25.08.2+p24.04+vstable+git20251020.0107-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:07:17 +0000
