## kclock 25.08.2+p24.04+vstable+git20251021.0323

=== debian/changelog ===
kclock (25.08.2+p24.04+vstable+git20251021.0323-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:23:58 +0000
