## kclock 25.08.2+p24.04+vunstable+git20251011.0610

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,8 +10,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kclock VERSION ${RELEASE_SERVICE_VERSION})
@@ -55,6 +55,7 @@
     QuickControls2
     Multimedia
     DBus
+    WaylandClient
     Widgets
 )
 
@@ -74,11 +75,17 @@
     find_package(Plasma REQUIRED)
 endif()
 
+find_package(WaylandProtocols 1.21 REQUIRED)
+
+if (Qt6WaylandClient_VERSION VERSION_GREATER_EQUAL "6.10.0")
+    find_package(Qt6WaylandClientPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
+endif()
+
 find_package(KF6KirigamiAddons 0.6 REQUIRED)
 
 ki18n_install(po)
-ecm_set_disabled_deprecation_versions(QT 6.8.0
-    KF 6.12.0
+ecm_set_disabled_deprecation_versions(QT 6.10.0
+    KF 6.17.0
 )
 
 add_subdirectory(src)
