## kclock 25.08.3

=== debian/changelog ===
kclock (25.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Yifei Zhan ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.
  * remove patch 8c656dc4 merged by upstream
  * remove unused patterns in d/copyright

  [ Aurélien COUDERC ]
  * Switch to debian/watch format version 5.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 01 Dec 2025 08:35:20 +0100
