=== debian/control ===
Source: kclock
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Yifei Zhan <debian@zhan.science>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.8.0~),
               gettext,
               kirigami-addons-dev (>= 0.6~),
               libkf6config-dev (>= 6.8.0~),
               libkf6coreaddons-dev (>= 6.8.0~),
               libkf6crash-dev (>= 6.8.0~),
               libkf6dbusaddons-dev (>= 6.8.0~),
               libkf6i18n-dev (>= 6.8.0~),
               libkf6jobwidgets-dev (>= 6.8.0~),
               libkf6kio-dev (>= 6.8.0~),
               libkf6notifications-dev (>= 6.8.0~),
               libkf6statusnotifieritem-dev (>= 6.8.0~),
               libkf6svg-dev (>= 6.8.0~),
               libkirigami-dev (>= 6.8.0~),
               libplasma-dev,
               qml6-module-org-kde-kcmutils,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-multimedia-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/kclock/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kclock
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kclock.git

Package: kclock
Architecture: any
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Clock for KDE Plasma Mobile
 A universal clock application for desktop and mobile. It contains alarm,
 timer, stopwatch and timezone functionalities. Alarms and timers are able to
 wake the device from suspend on Plasma.
