## kclock 25.08.3+p24.04+vstable+git20251204.0912

=== debian/changelog ===
kclock (25.08.3+p24.04+vstable+git20251204.0912-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 09:12:21 +0000

kclock (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:33:11 +1000
